# PlayerAuctions by Olzie-12
# https://www.spigotmc.org/resources/83073
# We also have a discord server for help: https://olziedev.com/discord or check docs https://docs.olziedev.com/projects/playerauctions
# Also if you find any bugs be happy to report them I will fix them :)
# Made with love

startauction:
  # Should we enable the gui?
  enabled: true
  # What is the name of the gui?
  name: "startauction"
  # The title of the gui (Can use color codes)
  title: "&b&lStart Auction"
  # What is the size of this GUI? (multiples of 9 can only go up to 54)
  size: 27
  # What are the actions when this menu is opened up?
  open-actions: []
  # What are the actions when this menu is closed?
  close-actions: []
  # Where should the item the player is auctioning be?
  slot-auctioning: 13
  # What is the default auction type going to be?
  default-type: sell

  # Enter amounts through the GUI
  enter:
    # Should the feature be enabled?
    # You will need ProtocolLib for this to work.
    enabled: true
    # What are the premade lines in the sign?
    # %search% is the variable they have to enter the auction in, so please make sure that line doesn't contain anything else.
    # If it doesn't contain the variable, then the plugin will just assume line 1 is user input. Colour codes will not work either.
    lines:
      - "%search%"
      - "----------------"
      - "Please enter"
      - "a price."

    item:
      material: OAK_SIGN
      data: 0
      name: "&bEnter a price for this auction."
      lore:
        - "&eClick&b to enter a price to auction."
      slot: 22
      amount: 1
      glowing: false

  # Enter amounts through the GUI
  enter-2:
    # Should the feature be enabled?
    # You will need ProtocolLib for this to work.
    enabled: true
    # What are the premade lines in the sign?
    # %search% is the variable they have to enter the auction in, so please make sure that line doesn't contain anything else.
    # If it doesn't contain the variable, then the plugin will just assume line 1 is user input. Colour codes will not work either.
    lines:
      - "%search%"
      - "----------------"
      - "Please enter"
      - "a amount."

    item:
      material: OAK_SIGN
      data: 0
      name: "&bEnter an amount to auction"
      lore:
        - "&eClick&b to enter a amount to auction."
      slot: 4
      amount: 1
      glowing: false

  clickable-items:
    accept:
      # If you wish to disable any of these please set them the material to "AIR"
      name: "&aConfirm Auction"
      # this is the material of the next page item. valid material names: https://javadocs.olziedev.com/spigot/latest/org/bukkit/Material.html
      material: LIME_WOOL
      data: 5
      lore:
        - "&eClick&b to put this item on the auction for &e[price]&b!"
      slot: 11
      amount: 1
      glowing: false
      # These only work if the skull is a PLAYER_HEAD and the data is 3!
      #texture: eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMWE0ZjY4YzhmYjI3OWU1MGFiNzg2ZjlmYTU0Yzg4Y2E0ZWNmZTFlYjVmZDVmMGMzOGM1NGM5YjFjNzIwM2Q3YSJ9fX0= - Skull texture
      #owner: Next - Skull owner
    deny:
      name: "&cStop Auction"
      material: RED_WOOL
      data: 14
      lore:
        - "&cClick to stop."
      slot: 15
      amount: 1
      glowing: false
    sell:
      name: "&aChange to bidding"
      material: DIAMOND
      data: 0
      lore:
        - "&eClick&b to change the auction type to bidding."
        - "&bYou are currently &b&lSELLING"
      slot: 3
      amount: 1
      glowing: false
    bid:
      name: "&aChange to selling"
      material: EMERALD
      data: 0
      lore:
        - "&eClick&b to change the auction type to selling."
        - "&bYou are currently &a&lBIDDING"
      slot: 3
      amount: 1
      glowing: false
    currency:
      name: "&bCurrency"
      material: GOLD_INGOT
      data: 0
      lore:
        - "&eClick&b to select the currency for this auction."
        - "&bCurrent: &e[currency]"
      slot: 5
      amount: 1
      glowing: false
    add-1:
      name: "&aAdd $1"
      material: LIME_STAINED_GLASS_PANE
      data: 5
      lore:
        - "&aClick to add a $1 to the auction."
        - " "
        - "&bCurrent price: &e[price]"
      slot: 0
      amount: 1
      glowing: false
    add-10:
      name: "&aAdd $10"
      material: LIME_STAINED_GLASS_PANE
      data: 5
      lore:
        - "&aClick to add a $10 to the auction."
        - " "
        - "&bCurrent price: &e[price]"
      slot: 9
      amount: 10
      glowing: false
    add-100:
      name: "&aAdd $100"
      material: LIME_STAINED_GLASS_PANE
      data: 5
      lore:
        - "&aClick to add a $100 to the auction."
        - " "
        - "&bCurrent price: &e[price]"
      slot: 18
      amount: 64
      glowing: false
    remove-1:
      name: "&cRemove $1"
      material: RED_STAINED_GLASS_PANE
      data: 14
      lore:
        - "&cClick to remove $1 from the auction."
        - " "
        - "&bCurrent price: &e[price]"
      slot: 8
      amount: 1
      glowing: false
    remove-10:
      name: "&cRemove $10"
      material: RED_STAINED_GLASS_PANE
      data: 14
      lore:
        - "&cClick to remove $10 from the auction."
        - " "
        - "&bCurrent price: &e[price]"
      slot: 17
      amount: 10
      glowing: false
    remove-100:
      name: "&cRemove $100"
      material: RED_STAINED_GLASS_PANE
      data: 14
      lore:
        - "&cClick to remove $100 from the auction."
        - " "
        - "&bCurrent price: &e[price]"
      slot: 26
      amount: 64
      glowing: false

  items:
    # What are the items that are placed into the GUI to make it more pretty?
    1:
      # This is the name of the item.
      name: " "
      # This is the item material.
      material: AIR
      # This is the data item
      data: 0
      # You can add lores!
      # example of what you can do:
      # lore:
      #   - "&bThis is a pane."
      slot: 0
      # What is the stack amount?
      amount: 1
      # commands that will be executed on click.
      # [server] means the command is executed as the console
      # [player] means the command is executed as the player
      # commands:
      #   - "[server] msg %player% you clicked this item!"
      glowing: false
      # These only work if the skull is a PLAYER_HEAD and the data is 3!
      #texture: eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYTZmOGFmYjI3YmFmYzc3YzJiODI1OTljMmY3YjhmMWY2ODMxMGU2YWE5MDRmMDUxYjA3YWIxYzJiNmIifX19 - Skull texture
      #owner: Glass - Skull owner
